Subject: Re: bug#21140: 25.0.50; Isearch "char-fold" by default

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Jul 2015 05:34:23 +0300

> From: Juri Linkov <[email-masked]>
> Date: Tue, 28 Jul 2015 01:33:35 +0300
> Cc: Sebastien Vauban <[email-masked]>, [email-masked]
> 
> > There's another thread here about hiding that string from the prompt. I
> > agree it's a little confusing, and char folding can be used without
> > flashing it on the user. Somebody offered to do something about it, though
> > I forget who.
> 
> The idea was to not display the search parameters that have default values,
> i.e. if char folding is enabled by default then to not display “Char-fold”.
> But the problem is to find a name complementary to char-folding
> to display when the default char-folding is disabled by ‘M-s '’.
> 
> In case of case-folding the parameter names used in isearch messages are:
> “case-sensitive” and “case-insensitive”.
> 
> By analogy, can we use: “char-sensitive” and “char-insensitive”?

I doubt that will be clear to users, since no one else calls this by
that name.  "Folding" is the accepted terminology, though perhaps
"char-fold" is also slightly unclear.  How about just "Fold"?